/*
#
# **************************************************************
# *                  SIMUSOL PROYECT                           *
# *                                                            *
# *         Table extension for:                               *
# *         C++ Mathematical Expression Toolkit Library        *
# *         which is located in:                               *
# * URL: http://www.partow.net/programming/exprtk/index.html   *
# *                                                            *
# *   The extension was developed by                           *
# *   Diego.Saravia@gmail.com, 2016                            *
# *   and could be used in the same terms of the toolkit       *
# *   or every free license with copyleft needed.              *
# *   http://www.simusol.org                                   *
# **************************************************************
# This file is part of Table.
#
#    Table is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Table is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Table.  If not, see <http://www.gnu.org/licenses/>.  */

//  *dir="/home/dsa/svn/trabajos/simusoltabla/data/"   no poner punto y coma al final de esta linea
#define _POSIX1_SOURCE 2
#include <unistd.h>

/*
Mac OS X: _NSGetExecutablePath() (man 3 dyld)
Linux: readlink /proc/self/exe
Solaris: getexecname()
FreeBSD: sysctl CTL_KERN KERN_PROC KERN_PROC_PATHNAME -1
FreeBSD if it has procfs: readlink /proc/curproc/file (FreeBSD doesn't have procfs by default)
NetBSD: readlink /proc/curproc/exe
DragonFly BSD: readlink /proc/curproc/file
Windows: GetModuleFileName() with hModule = NULL
*/
int finddir(char ** dire){
  char buf[300];
   char bufe[300];
   char *buf2;
  char *pc;
  char *buf3;
  char *pc2;
  if (readlink("/proc/self/exe", buf, sizeof(buf)) < 0){
        perror("readlink() error");
  }
 else {
   pc=strdup(buf);
   buf2=dirname(pc);
   pc2=strdup(buf2);
   asprintf(dire,"%s/",dirname(pc2));
  
   printf("readlink() returned '%s' for '%s'- %s\n", buf, "/proc/self/exe",*dire);
 
 
 }
  

  // *dir="/home/dsa/svn/siru/tabular/";//CHANGE
  return 0;
  }
